// - NAV

.nav {

	display: flex;
	justify-content: space-between;
	align-items: center;
	width: 100%;
	//Entiendo que el height es fijo
	height: 3.9rem;
	background-image: linear-gradient(to right, $lightBlue, $aquaBlue, $green);
	transition: height 0.15s;

	
	.icons, .round-image {

		cursor: pointer;

	}

}

@media screen and (min-width: 600px) {

    .nav {

		height: 4.68rem;
		
	}

}

@media screen and (min-width: 1024px) {

    .nav {

		justify-content: space-around;
		
	}

}

.logo-text1, .logo-text2 {

	display: none;
	width: 33%;
	color: white;
	font-size: 1.1rem;

}

.logo-text1 {

	font-weight: 500;

}

.logo-text2 {

	font-weight: 700;
	letter-spacing: 0.1rem;

}

@media screen and (min-width: 600px) {

    .logo-text1, .logo-text2 {

        display: inline-block;

	}

}

@media screen and (min-width: 1024px) {

	.logo-text1 {

		width: 20%;
		font-size: 1.13rem;

	}

}

@media screen and (min-width: 1280px) {

	.logo-text1 {

		width: 25%;
		text-align: center;
	
	}
	
}

// Componente .nav-searchBar

.nav__search-bar {

	display: flex;
	justify-content: space-between;
	align-items: center;
	width: 45%;
	transition: width 0.15s;

}

@media screen and (min-width: 600px) {

	.nav__search-bar {

		width: 70%;
		justify-content: flex-start;

	}

}

@media screen and (min-width: 1024px) {

	.nav__search-bar {

		width: 45%;
		justify-content: space-between;

	}

}

@media screen and (min-width: 1280px) {

	.nav__search-bar {

		width: 54%;

	}

}

.input-container {
	
	position: relative;
	
}

.nav__search-input {

	display: none;
	width: 100%;
	height: 2.6rem;
	border: 1px solid transparent;
	border-radius: 5px;
	
}

@media screen and (min-width: 600px) {

	.input-container {

		width: 64%;

	}

	.nav__search-input {

		display: inline-block;
		
	}

}

@media screen and (min-width: 1024px) {

	.input-container {

		width: 70%;

	}

}

@media screen and (min-width: 1280px) {

	.input-container {

		width: 73%;

	}

}

//Componente .buttonBar

.button-bar {

	display: flex;
	justify-content: center;
	width: 15%;
	order: -1;
	transition: width 0.15s;
	color: white;

}

.button-bar__buttons {

	justify-content: space-between;
	width: 100%;

}

.button-bar__btn {

	display: flex;
	padding: 8px;
	flex-direction: column;
	align-items: center;
	cursor: pointer;
	transition: background-color 0.2s, color 0.2s;
	
}

.button-bar__btn:hover {

	color: $navHover;

	.icons--nav-btn {

		color: $navHover;
	
	}

}

@media screen and (max-width: 1023px){

	.button-bar__btn:hover {

		color: $green;

		.icons--nav-btn {

			color: $green;
			
		}

	}	

}

.button-bar__text {

	line-height: 1.4;

}

@media screen and (min-width: 600px) {

	.button-bar {

		width: 10%;
		
	}

}

@media screen and (max-width: 1023px) {

	.button-bar__btn {
	
		padding-top: 0.4rem;
		padding-bottom: 0.4rem;
	
		&:hover {

			background-color: $tabDarkerBg;

		}
	}

}

@media screen and (min-width: 1024px) {

	.button-bar {

		width: 35%;
		order: 0;

	}

	.button-bar__buttons {

		display: flex;
		
	}

}

@media screen and (min-width: 1280px) {

	.button-bar {

		width: 30%;
		padding-left: 0.625rem;
		padding-right: 0.625rem;

	}

}

//Componente .userProfile

.nav__user-profile {

	display: flex;
	justify-content: space-around;
	align-items: center;
	width: 35%;
	padding: 0.5rem;
	transition: width 0.15s;

}

@media screen and (min-width: 600px) {

	.nav__user-profile {

		width: 20%;
		
	}

}

@media screen and (min-width: 1024px) {

	.nav__user-profile {

		width: 12%;
		
	}

}

.user-pic {

	display: flex;
	width: 3rem;
	padding-left: 0.5rem;
	
}

.nav__notifications {

	position: relative;


}

.alerts {

	position: absolute;
	top: -0.4rem;
	right: -0.4rem;
	width: 0.8rem;
	height: 0.8rem;
	border-radius: 50%;
	text-align: center;
	font-size: 0.8rem;
	background-color: $redAlert;
	color: white;

}

.dropdown-menu {

	border: 1px solid $green;

}

.button-bar__normal-menu {

	//El menú normal no se muestra hasta alcanzar 1024px
	display: none;
	width: 100%;
	justify-content: space-around;

}

@media screen and (min-width: 1024px){
	
	//Esconde los botones del dropdown

	.button-bar__drop-menu {

		display: none;

	}

	//Muestra los botones del menú normal

	.button-bar__normal-menu {

		display: flex;

	}

}